Skip to main content
`Ctrl`+`K`

# TSDIRKSetType

Set the type of `TSDIRK` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSDIRKSetType(TS ts, TSDIRKType dirktype)

Logically Collective

## Input Parameters

- ts - timestepping context

- dirktype - type of `TSDIRK` scheme

## Options Database Key

- -ts_dirkimex_type - set `TSDIRK` scheme type

## See Also

TS: Scalable ODE and DAE Solvers, `TSDIRKGetType()`, `TSDIRK`, `TSDIRKType`

## Level

intermediate

## Location

src/ts/impls/arkimex/arkimex.c

## Implementations

TSDIRKSetType_DIRK() in src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages